<div class="card">
<div class="errorGenerico">{{errorGenerico}}</div>
<!-- <nav class="navbar navbar-expand-lg navbar-dark bg-light">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">

        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <button class="btn btn-outline-success mr-3" (click)="createClient()" value="Nuevo">Nuevo</button>
            </li>
            <li class="nav-item">
                <button class="btn btn-outline-success mr-3" value="salir" (click)="logout()">Salir</button>
            </li>
            <li class="nav-item" *ngIf="false">
                <div class="form-group">
                    <select class="browser-default custom-select" #mySelect (change)='useLanguage(mySelect.value)' name="selectLenguaje" class="form-control" id="selectLenguaje">
                <option  *ngFor="let leng of this.lenguajeOP.lenguajes;"  [selected]="leng.value==this.lenguajeOP.indexLen" value="{{leng.value}}"  >{{leng.descripcion}}</option>
                </select>
                </div>
            </li>
        </ul>
    </div>
</nav> -->


<form class="form-inline my-2 my-lg-0">
        <mat-form-field style="padding: 15px;">
            <input type="text" matInput id="buscarInput" class="mr-sm-2" (keyup)="applyFilter($event.target.value)" placeholder="Buscar" autocomplete="off">
        </mat-form-field>
</form>

<table mat-table  [dataSource]="dataSource" multiTemplateDataRows class="mat-elevation-z8" class="table-striped">
    <ng-container matColumnDef="{{column}}" *ngFor="let column of displayedColumns">
        <th mat-header-cell *matHeaderCellDef> {{column}} </th>
        <td mat-cell *matCellDef="let element"> {{element[column]}} </td>
    </ng-container>
    <ng-container matColumnDef="expandedDetail">
        <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length">
            <div class="row align-items-center">
                <div class="example-element-detail" [@detailExpand]="element == expandedElement ? 'expanded' : 'collapsed'">
                    <div class="example-element-diagram">
                        <!-- <span class="edit" [routerLink]="['/private/edit/',element._id]"> -->
                        <span class="edit" (click)="editClient(element._id,element.ApiToken,element.pass, element.nombre)">
                          <button type="button" class="btn btn-success btn-sm" *ngIf="this.userRole == 'AdministradorMit' || this.userRole== 'Director' || this.userRole== 'Gerente' || this.userRole== 'EjecutivoMIT'" >Editar</button>
                        </span>
                    </div>
                    <div class="col-12 example-element-description">
                        <div class="col "><span class="bold">Telefono</span> {{element.telefono}}</div>
                        <div class="col "><span class="bold">Secret Token</span> {{element.pass}}</div>
                        <div class="col "><span class="bold">Listas Blancas Post</span> {{element.listasBlancasPost}}</div>
                        <div class="col "><span class="bold">Listas Blancas Get</span> {{element.listasBlancas}}</div>
                        <div class="col "><span class="bold">Referencia Daon</span> {{element.hrefDaon}}</div>
                        <!-- <div class="col "><span class="bold">Estatus</span> {{ element.statusCliente == 1 ? 'Activo' : 'Inactivo' }}</div> -->
                    </div>
                </div>
            </div>

        </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let element; columns: displayedColumns;" class="example-element-row" [class.example-expanded-row]="expandedElement === element" (click)="expandedElement = expandedElement === element ? null : element">
    </tr>
    <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr>

</table>
<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
<tr mat-row *matRowDef="let row; columns: displayedColumns;">

</tr>

<mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>